> For the complete documentation index, see [llms.txt](https://docs.betterbuilding.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.betterbuilding.io/support-and-training/other-support/webinars/speckel-webinar-archive/part-j4-building-fabric.md).

# Part J4 Building Fabric

Our automated Part J4 Building Fabric assessments are just about to drop. If you’re involved in building design and National Construction Code compliance, we’ve built an optimised workflow to make compliance assessments cheaper, faster and easier.

Recorded on October 11th at 9 am AEST, as Darren O'Dea, our Director and Co-Founder, walks you through our process to demonstrate how you can use this new workflow! 📝

{% hint style="info" %}
Also available as a free [On-demand Training](/support-and-training/on-demand-courses.md)
{% endhint %}

{% embed url="<https://www.loom.com/share/487bcf525bee41aca0e0c0c621c815d6?sid=f407f8c9-206f-4820-b01f-e68b8a9d105a?hide_owner=true&hide_share=true&hide_title=true&hideEmbedTopBar=true>." %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.betterbuilding.io/support-and-training/other-support/webinars/speckel-webinar-archive/part-j4-building-fabric.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
